Bug 490612 (CVE-2009-0146, CVE-2009-0195) - CVE-2009-0146 xpdf: Multiple buffer overflows in JBIG2 decoder (setBitmap, readSymbolDictSeg) (CVE-2009-0195)
Summary: CVE-2009-0146 xpdf: Multiple buffer overflows in JBIG2 decoder (setBitmap, re...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0146, CVE-2009-0195
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,impact=important,rep...
Depends On: 490707 490708 490710 490711 490712 490713 490714 490715 490716 490717 490727 490728 490729 490730 492384 492385 492386 492387 496942 496943 496944 577322 577323 577328 577329 833914
Blocks: 491864
TreeView+ depends on / blocked
 
Reported: 2009-03-17 10:18 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 08:38:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC
Red Hat Product Errata RHSA-2009:0430 normal SHIPPED_LIVE Important: xpdf security update 2009-04-16 22:52:59 UTC
Red Hat Product Errata RHSA-2009:0431 normal SHIPPED_LIVE Important: kdegraphics security update 2009-04-16 22:53:18 UTC
Red Hat Product Errata RHSA-2009:0458 normal SHIPPED_LIVE Important: gpdf security update 2009-04-30 20:58:15 UTC
Red Hat Product Errata RHSA-2009:0480 normal SHIPPED_LIVE Important: poppler security update 2009-05-13 14:32:34 UTC
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Jan Lieskovsky 2009-03-17 10:18:30 UTC
Multiple buffer overflows were found in the JBIG2 decoder. An attacker
could use these flaws to cause a denial of service (application crash)
via specially-crafted PDF file.

Acknowledgements CVE-2009-0146:

Red Hat would like to thank Braden Thomas and Drew Yao of the Apple Product Security team for responsibly reporting these flaws.

Comment 12 Josh Bressers 2009-03-24 14:38:10 UTC
attachment 336465 [details] has the updated patch that should be used for this issue.

Comment 18 Vincent Danen 2009-04-16 21:30:45 UTC
Embargo has been lifted.

Comment 19 Fedora Update System 2009-04-17 19:02:05 UTC
xpdf-3.02-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc9

Comment 20 Fedora Update System 2009-04-17 19:03:23 UTC
xpdf-3.02-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc10

Comment 21 Fedora Update System 2009-04-21 15:17:01 UTC
cups-1.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc9

Comment 22 Fedora Update System 2009-04-21 15:19:53 UTC
cups-1.3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc10

Comment 24 Fedora Update System 2009-04-22 00:47:15 UTC
cups-1.3.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2009-04-22 00:50:08 UTC
cups-1.3.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2009-04-22 00:53:30 UTC
xpdf-3.02-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2009-04-22 00:58:42 UTC
xpdf-3.02-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 errata-xmlrpc 2009-04-24 07:55:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:0430 https://rhn.redhat.com/errata/RHSA-2009-0430.html

Comment 29 errata-xmlrpc 2009-04-24 08:05:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0431 https://rhn.redhat.com/errata/RHSA-2009-0431.html

Comment 30 errata-xmlrpc 2009-04-24 08:26:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 31 Tomas Hoger 2009-04-24 13:43:26 UTC
This problem was independently discovered by Alin Rad Pop of Secunia Research and got assigned another CVE id:

CVE-2009-0195
Heap-based buffer overflow in Xpdf 3.02pl2 and earlier, CUPS 1.3.9,
and probably other products, allows remote attackers to execute
arbitrary code via a PDF file with crafted JBIG2 symbol dictionary
segments.

http://secunia.com/secunia_research/2009-17/
http://secunia.com/secunia_research/2009-18/

Comment 32 errata-xmlrpc 2009-04-30 20:58:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0458 https://rhn.redhat.com/errata/RHSA-2009-0458.html

Comment 33 errata-xmlrpc 2009-05-13 14:32:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0480 https://rhn.redhat.com/errata/RHSA-2009-0480.html

Comment 43 errata-xmlrpc 2010-05-06 18:54:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 44 errata-xmlrpc 2010-05-06 19:09:50 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html


Note You need to log in before you can comment on or make changes to this bug.